package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 场所房屋关联对象 szxc_cs_fw
 *
 * @author hs
 * @date 2024-03-30
 */
public class SzxcCsFw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 场所id */
    @Excel(name = "场所id")
    private Long csId;

    /** 房屋id */
    @Excel(name = "房屋id")
    private Long fwId;

    /** 房屋名称 */
    @Excel(name = "房屋名称")
    private String fwName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCsId(Long csId)
    {
        this.csId = csId;
    }

    public Long getCsId()
    {
        return csId;
    }
    public void setFwId(Long fwId)
    {
        this.fwId = fwId;
    }

    public Long getFwId()
    {
        return fwId;
    }
    public void setFwName(String fwName)
    {
        this.fwName = fwName;
    }

    public String getFwName()
    {
        return fwName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("csId", getCsId())
                .append("fwId", getFwId())
                .append("fwName", getFwName())
                .toString();
    }
}
